Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Interface CacheServiceImpl.IBuildStage

All Known Implementing Classes:
  `CacheServiceImpl.Builder`

Enclosing class:
  CacheServiceImpl

public static interface CacheServiceImpl.IBuildStage
A builder stage.

## Method Summary

Modifier and Type
Method
Description
`CacheServiceImpl`
`build()`
Build the service.
`CacheServiceImpl.IBuildStage`
`withKeyExtractionStrategy(Function<CredentialRecord,String> strategy)`
The strategy to use to convert a `CredentialRecord` into a key suitable for the cache.
`CacheServiceImpl.IBuildStage`
`withLookupKeyExtractionStrategy(Function<com.yubico.webauthn.data.ByteArray,String> strategy)`
The strategy to use to convert a ByteArray into a key suitable for the cache.
`CacheServiceImpl.IBuildStage`
`withValueExtractionStrategy(Function<CredentialRecord,String> strategy)`
The strategy to use to convert a `CredentialRecord` into a key suitable for the cache.

## Method Details

### withKeyExtractionStrategy

CacheServiceImpl.IBuildStage withKeyExtractionStrategy(Function<CredentialRecord,String> strategy)
The strategy to use to convert a `CredentialRecord` into a key suitable for the cache.

Parameters:
  `strategy` - the strategy to use
Returns:
  the next stage

### withLookupKeyExtractionStrategy

CacheServiceImpl.IBuildStage withLookupKeyExtractionStrategy(Function<com.yubico.webauthn.data.ByteArray,String> strategy)
The strategy to use to convert a ByteArray into a key suitable for the cache.

Parameters:
  `strategy` - the strategy to use
Returns:
  the next stage

### withValueExtractionStrategy

CacheServiceImpl.IBuildStage withValueExtractionStrategy(Function<CredentialRecord,String> strategy)
The strategy to use to convert a `CredentialRecord` into a key suitable for the cache.

Parameters:
  `strategy` - the strategy to use
Returns:
  the next stage

### build

CacheServiceImpl build()
Build the service.

Returns:
  the instantiated cache service.